<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetColumnSets Method (IEdmVault22)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmVault22 Interface : GetColumnSets Method (IEdmVault22)

Visual Basic
C#
C++/CLI

ppoCurrentColumns
  Array of EdmColumnSets

Gets the column sets assigned to the currently logged-in user of this vault.

# Syntax

Visual Basic |
--- | ---

    Sub GetColumnSets( _
       ByRef ppoCurrentColumns() As EdmColumnSet _
    )

C# |
--- | ---

    void GetColumnSets(
       out EdmColumnSet[] ppoCurrentColumns
    )

C++/CLI |
--- | ---

    void GetColumnSets(
    &   [Out] array<EdmColumnSet>^ ppoCurrentColumns
    )

#### Parameters

ppoCurrentColumns
  Array of EdmColumnSets

# Example

See the IEdmVault22 example.

# See Also

####

IEdmVault22 Interface
IEdmVault22 Members
IEdmVault22::SetColumnSetID Method ()
IEdmVault22::GetCurrentColumnSet Method ()

# Availability

SOLIDWORKS PDM Professional 2024